%define upstream_name    String-Compare-ConstantTime
%define upstream_version 0.300

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Timing side-channel protected string compare
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This module provides one function, 'equals' (not exported by default).

You should pass this function two strings of the same length. It will
return true if they are string-wise identical and false otherwise, just
like 'eq'. However, comparing any two differing strings will take a fixed
amount of time, unlike 'eq'.

*NOTE*: If the lengths of the strings are different, 'equals' will return
false right away. Also, comparing two identical strings will take a
different amount of time than comparing two differing strings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml COPYING META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 372781
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.300.0-1.mga3
+ Revision: 304311
- imported package perl-String-Compare-ConstantTime

